Main Page Widgets Namespaces Book

# printjob.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::PrintJob

## Enumerations

enum | Gtk::PrintCapabilities { Gtk::PRINT_CAPABILITY_PAGE_SET = 1 << 0, Gtk::PRINT_CAPABILITY_COPIES = 1 << 1, Gtk::PRINT_CAPABILITY_COLLATE = 1 << 2, Gtk::PRINT_CAPABILITY_REVERSE = 1 << 3, Gtk::PRINT_CAPABILITY_SCALE = 1 << 4, Gtk::PRINT_CAPABILITY_GENERATE_PDF = 1 << 5, Gtk::PRINT_CAPABILITY_GENERATE_PS = 1 << 6 }

## Functions

PrintCapabilities | Gtk::operator& (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator&= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator^ (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator^= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator| (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator|= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator~ (PrintCapabilities flags)